Bug 215582 - 'print to file' makes single-copy-only file
'print to file' makes single-copy-only file
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-14 13:51 EST by Tim Waugh
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.0.4-5.5.10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-04 03:56:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 71570 None None None Never
CUPS Bugs and Features 2102 None None None Never

  None (edit)
Description Tim Waugh 2006-11-14 13:51:19 EST
Description of problem:
When printing a document 'to file' as PostScript, I get this in the output:

/#copies 1 def
<< /NumCopies null /Policies << /NumCopies 1 >> >> setpagedevice

This means that when I print the file like 'lp -n50 output.ps' I only get one copy.

Version-Release number of selected component (if applicable):
openoffice.org-core-2.0.4-5.5.3

How reproducible:
100%

Steps to Reproduce:
1.Print to file as PostScript
2.lp -n2 output.ps
  
Actual results:
One copy printed.

Expected results:
Two copies.
Comment 1 Caolan McNamara 2006-11-15 10:27:14 EST
Do you not find that you get "/#copies 2 when you untick Collate when printing
to file, and with Collate ticked a copies 1 document with the page manually
repeated ?
Comment 2 Tim Waugh 2006-11-15 10:35:26 EST
I'm talking about printing one copy to a file, and then later deciding to print
several copies of *that file*.

In other words, perhaps 'print to file' should handle several-copies and
single-copy in different ways, with only several-copies setting the number of
copies.

With single-copy I expect the PostScript to leave the number of copies alone so
that I can print multiple copies later.
Comment 3 Caolan McNamara 2006-11-15 10:59:12 EST
ah the reverse of the problem I invented for myself, yeah that might work.
Problem isn't specific to us or to the gtk print dialog. Let's run it by upstream
Comment 4 Caolan McNamara 2006-11-15 14:35:06 EST
accepted, committed to the relevant usual suspects
Comment 5 Caolan McNamara 2007-01-04 03:56:39 EST
I believe 2.0.4-5.5.10 does the right thing now, if not feel free to reopen

Note You need to log in before you can comment on or make changes to this bug.